// import logo from './logo.svg';
import './App.css';
import { useState } from 'react';
import './Bmi.css';

function App() {
  const [weight,setWeight]=useState();
  const [height,setHeight]=useState();
  const [bmivalue,setBmi]=useState();
  const [msg,setMsg]=useState('');
  const [imgg, setImg] = useState('');
  let sumcal=(e)=>{
    e.preventDefault();
    let bmivalue=(parseInt(weight)/(parseInt(height)*parseInt(height))*10000);
    setBmi(bmivalue)
    setWeight('')
    setHeight('')
    if(bmivalue >= 18.5 && bmivalue < 24.9){
      setMsg("Healthy Weight")
      setImg(<img src="/images/normal.png" className='bmiimage' alt="text"  style={{width:"150px"}}/>)
    }
    if(bmivalue>=25.0 && bmivalue<=29.9){
      setMsg(" Overweight ")
      setImg(<img src="/images/overweight.png" className='bmiimage' alt="overweight"  style={{width:"150px"}}/>)
    }
      else if(bmivalue<18.5){
        setMsg("UnderWeight")
        setImg(<img src="/images/underweight.png" className='bmiimage' alt="underweight"  style={{width:"150px"}}/>)
      }
      else if(bmivalue>30){
        setMsg('Obese');
        setImg(<img src="/images/obense.png" className='bmiimage' alt="obesity"  style={{width:"150px"}}/>)
      }
  }

  return (
    <>
    <center>
     
    <form onSubmit={sumcal} className='forms'>
    <h1 className='bmihead'>BMI CALCULATOR</h1>
      <label className='weigh'>weight in Kg:</label><input type="text" className='inputw' value={weight} onChange={((e)=>setWeight(e.target.value))}/><br></br><br></br>
      <label className='weigh'>height in cm:</label><input type="text" className='inputw' value={height} onChange={((e)=>setHeight(e.target.value))}/><br></br><br></br>
      <center><button className='cbutton'>Calculate</button></center><br></br>
       <img className="person" src={"/images/./bmiperson.png"} alt='bmiperson'/><br></br>
      <p>{imgg}</p>
      <label className='lbmi'>BMI VALUE</label><input value={bmivalue} className='inb'/>
      <label className='lm'>{msg}</label>
      </form>
    </center>
     
    </>
  );
}

export default App;


